> ## Documentation Index
> Fetch the complete documentation index at: https://docs.algen.network/llms.txt
> Use this file to discover all available pages before exploring further.

# supported

> Get supported network and pay method



## OpenAPI

````yaml GET /supported
openapi: 3.1.0
info:
  title: Algen API
  description: Some important api listed in there
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://asdo.algen.network
security: []
paths:
  /supported:
    get:
      description: Get supported network and pay method
      responses:
        '200':
          description: >-
            Successfully retrieved supported payment kinds for the x402
            protocol.
          content:
            application/json:
              schema:
                type: object
                required:
                  - kinds
                properties:
                  kinds:
                    type: array
                    description: The list of supported payment kinds.
                    items:
                      $ref: '#/components/schemas/x402SupportedPaymentKind'
                    example:
                      - x402Version: 1
                        scheme: exact
                        network: mesherX
                      - x402Version: 1
                        scheme: exact
                        network: mesherX-testnet
              examples:
                example:
                  value:
                    kinds:
                      - x402Version: 1
                        scheme: exact
                        network: mesherX
                      - x402Version: 1
                        scheme: exact
                        network: mesherX-testnet
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      servers:
        - url: https://x402.algen.network/facilitator
          description: x402 supported API
components:
  schemas:
    x402SupportedPaymentKind:
      type: object
      required:
        - x402Version
        - scheme
        - network
      properties:
        x402Version:
          type: integer
          format: int32
          description: The version of the payment protocol
        scheme:
          type: string
          description: The scheme of the payment protocol
          enum:
            - exact
          example: exact
        network:
          type: string
          description: The network of the blockchain
          enum:
            - mesherX
            - mesherX-testnet
          example: mesherX
    Error:
      type: object
      required:
        - error
        - message
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string

````